%define origname TwistedCore

Name: python-module-twisted-core
Version: 10.1.0
Release: alt6
%setup_python_module twisted-core
Summary: An asynchronous networking framework written in Python

Group: Development/Python
License: MIT
Url: http://twistedmatrix.com/trac/wiki/TwistedCore
Packager: Sergey Alembekov <rt@altlinux.ru>
Source: http://tmrc.mit.edu/mirror/twisted/Core/10.1/%origname-%version.tar.bz2
Source1: README.ALT-ru_RU.UTF-8

BuildRequires: python-devel python-modules-compiler python-module-zope.interface
Requires: python-module-OpenSSL

Conflicts: %name-core < %version-%release

%add_python_req_skip AppKit Carbon Foundation GDK PAM cfsupport kqsyscall msvcrt pythoncom pywintypes win32api win32com win32event win32file win32gui win32pipe win32process win32security win32con

%description
An extensible framework for Python programming, with special focus
on event-based network programming and multiprotocol integration.

It is expected that one day the project will expanded to the point
that the framework will seamlessly integrate with mail, web, DNS,
netnews, IRC, RDBMSs, desktop environments, and your toaster.

%package gui
Summary: GUI for Twisted Core
Group: Development/Python
Requires: python-module-twisted-core = %version-%release
####add_python_req_skip pyui wx wxPython gtk Tkinter gnome tkFileDialog tkMessageBox tkSimpleDialog
%add_python_req_skip pyui

%description gui
GUI for Twisted Core

%package gui-wx
Summary: GUI for Twisted Core (wxWidgets)
Group: Development/Python
Requires: python-module-twisted-core-gui = %version-%release

%description gui-wx
GUI for Twisted Core (wxWidgets)

%package gui-tk
Summary: GUI for Twisted Core (TK)
Group: Development/Python
Requires: python-module-twisted-core-gui = %version-%release

%description gui-tk
GUI for Twisted Core (TK)

%package gui-gnome
Summary: GUI for Twisted Core (Gnome)
Group: Development/Python
Requires: python-module-twisted-core-gui = %version-%release

%description gui-gnome
GUI for Twisted Core (Gnome)

%package doc
Summary: Documentation for Twisted Core
Group: Documentation
BuildArch: noarch
Requires: python-module-twisted-core = %version-%release

%description doc
Documentation for Twisted Core.

%package zsh
Summary: Tab completion for Zsh and Twisted Core
Group: Shells
Requires: python-module-twisted-core = %version-%release
Requires: zsh

%description zsh
Tab completions for Zsh and Twisted Core.

%package test
Summary: Unit tests for Twisted Core
Group: Development/Python
Requires: python-module-twisted-core = %version-%release
AutoReqProv: nopython

%description test
Unit tests for Twisted Core.

%prep
%setup -q -n %origname-%version

# Generate a brief README.zsh
awk '/^Zsh Notes:/,/^Have fun!/' twisted/python/zshcomp.py > README.zsh

%build
%python_build

# README.ALT
#install -p -m 644 -D %SOURCE1 %buildroot/%_docdir/README.ALT-ru_RU.UTF-8
cp %SOURCE1 README.ALT-ru_RU.UTF-8

%install
%python_install

# cfsupport is support for MacOSX Core Foundations, so we can delete it
rm -rf %buildroot%python_sitelibdir/twisted/internet/cfsupport

# iocpreactor is a win32 reactor, so we can delete it
rm -rf %buildroot%python_sitelibdir/twisted/internet/iocpreactor

# Man pages
mkdir -p %buildroot%_man1dir/
cp -a doc/man/*.1 %buildroot%_man1dir/
rm -rf doc/man

# Zsh tab complete stub
mkdir -p %buildroot%_datadir/zsh/Completion/Python
sed 's#python -c#python -c#g' < twisted/python/_twisted_zsh_stub > _twisted_zsh_stub.MOD
install -m 644 _twisted_zsh_stub.MOD %buildroot%_datadir/zsh/Completion/Python/_twisted_zsh_stub
rm -Rf twisted/python/_twisted_zsh_stub

touch %buildroot%python_sitelibdir/twisted/trial/__init__.py

%files
%doc CREDITS LICENSE NEWS README
%doc README.ALT-ru_RU.UTF-8
%_bindir/manhole
%_bindir/tap2deb
%_bindir/tap2rpm
%_bindir/tapconvert
%_bindir/mktap
%_bindir/twistd
%_bindir/pyhtmlizer

%_man1dir/*

%python_sitelibdir/Twisted_Core-*.egg-info
%dir %python_sitelibdir/twisted/
%python_sitelibdir/twisted/*.py*
%python_sitelibdir/twisted/python/_epoll.c
%python_sitelibdir/twisted/protocols/_c_urlarg.c

%python_sitelibdir/twisted/application/
%python_sitelibdir/twisted/cred/
%python_sitelibdir/twisted/enterprise/
%python_sitelibdir/twisted/internet/
%exclude %python_sitelibdir/twisted/internet/test
%exclude %python_sitelibdir/twisted/internet/pyuisupport.py*
%exclude %python_sitelibdir/twisted/internet/wxreactor.py*
%exclude %python_sitelibdir/twisted/internet/wxsupport.py*
%exclude %python_sitelibdir/twisted/internet/gtk2reactor.py*
%exclude %python_sitelibdir/twisted/internet/glib2reactor.py*
%exclude %python_sitelibdir/twisted/internet/gtkreactor.py*
%exclude %python_sitelibdir/twisted/internet/tksupport.py*

%dir %python_sitelibdir/twisted/manhole/
%python_sitelibdir/twisted/manhole/*.py*
%exclude %python_sitelibdir/twisted/manhole/gladereactor.py*
%exclude %python_sitelibdir/twisted/manhole/_inspectro.py*

%python_sitelibdir/twisted/persisted/

%dir %python_sitelibdir/twisted/plugins/
%python_sitelibdir/twisted/plugins/*.py*
%exclude %python_sitelibdir/twisted/plugins/twisted_trial.py*

%dir %python_sitelibdir/twisted/protocols/
%python_sitelibdir/twisted/protocols/*.py*
%python_sitelibdir/twisted/protocols/*.so

%python_sitelibdir/twisted/protocols/gps/
%python_sitelibdir/twisted/protocols/mice/

%dir %python_sitelibdir/twisted/python/
%python_sitelibdir/twisted/python/*.py*
%python_sitelibdir/twisted/python/*.so

%dir %python_sitelibdir/twisted/python/zsh/
%python_sitelibdir/twisted/python/zsh/README
%python_sitelibdir/twisted/python/zsh/_*

%python_sitelibdir/twisted/scripts/
%exclude %python_sitelibdir/twisted/scripts/test
%exclude %python_sitelibdir/twisted/scripts/tkunzip.py*
%exclude %python_sitelibdir/twisted/scripts/trial.py*

%dir %python_sitelibdir/twisted/spread/
%python_sitelibdir/twisted/spread/*.py*

%python_sitelibdir/twisted/tap/


%files doc
%doc doc/*

%files gui
%python_sitelibdir/twisted/internet/pyuisupport.py*
%python_sitelibdir/twisted/internet/gtk2reactor.py*
%python_sitelibdir/twisted/internet/glib2reactor.py*
%python_sitelibdir/twisted/internet/gtkreactor.py*
%dir %python_sitelibdir/twisted/manhole/ui
%python_sitelibdir/twisted/manhole/ui/*
%exclude %python_sitelibdir/twisted/manhole/ui/test
%python_sitelibdir/twisted/manhole/*.glade
%exclude %python_sitelibdir/twisted/manhole/inspectro.glade
%python_sitelibdir/twisted/manhole/gladereactor.py*

%dir %python_sitelibdir/twisted/spread/ui/
%python_sitelibdir/twisted/spread/ui/*.py*
%exclude %python_sitelibdir/twisted/spread/ui/tkutil.py*
%exclude %python_sitelibdir/twisted/spread/ui/tktree.py*
%python_sitelibdir/twisted/spread/ui/*.glade

%files gui-wx
%python_sitelibdir/twisted/internet/wxreactor.py*
%python_sitelibdir/twisted/internet/wxsupport.py*

%files gui-gnome
%python_sitelibdir/twisted/manhole/inspectro.glade
%python_sitelibdir/twisted/manhole/_inspectro.py*

%files gui-tk
%python_sitelibdir/twisted/internet/tksupport.py*
%python_sitelibdir/twisted/spread/ui/tkutil.py*
%python_sitelibdir/twisted/spread/ui/tktree.py*
%python_sitelibdir/twisted/scripts/tkunzip.py*

%files zsh
%defattr(-,root,root,-)
%doc README.zsh
%_datadir/zsh/Completion/Python/_twisted_zsh_stub
%python_sitelibdir/twisted/python/_twisted_zsh_stub

%files test
%_bindir/trial
%python_sitelibdir/twisted/test
%python_sitelibdir/twisted/manhole/ui/test
%python_sitelibdir/twisted/python/test
%python_sitelibdir/twisted/scripts/test
%python_sitelibdir/twisted/internet/test
%python_sitelibdir/twisted/protocols/test
%python_sitelibdir/twisted/trial
%python_sitelibdir/twisted/plugins/twisted_trial.py*
%python_sitelibdir/twisted/scripts/trial.py*

%changelog
* Mon Mar 21 2011 Sergey Alembekov <rt@altlinux.ru> 10.1.0-alt6
- /usr/bin/trial needs  twisted/scripts/trial.py. enable in for test
  subpackage

* Wed Sep 15 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt5
- Moved trials into test subpackage

* Mon Aug 30 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt4
- Extracted packages: gui-wx, gui-tk and gui-gnome (ALT #23853)
- Moved all tests into test package

* Wed Aug 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt3
- Moved all tests into test package

* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt2
- Set doc package as noarch

* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- Version 10.1.0 (ALT #23065)

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Tue Sep 01 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
 - versioning policy change
 - python-2.6 ready

* Mon Feb 11 2008 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt2.2
 - added forgotten _epoll.so

* Tue Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.5.0-alt2.1
 - Rebuilt with python-2.5.

* Tue Nov 06 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt2
 - skip_requires for GUI libs which is using Tkinter, gtk and wx
 - add README.ALT-ru_RU.UTF-8

* Thu Mar 29 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt1
 - Build for new upstream version

